aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.github/workflows/test.yaml16
-rw-r--r--collection/go/test.sh7
-rw-r--r--dev-containers-cli-0.1.0.tgzbin0 -> 262411 bytes
3 files changed, 23 insertions, 0 deletions
diff --git a/.github/workflows/test.yaml b/.github/workflows/test.yaml
new file mode 100644
index 0000000..8d3e5ff
--- /dev/null
+++ b/.github/workflows/test.yaml
@@ -0,0 +1,16 @@
+name: "Test Features"
+on:
+ push:
+ branches:
+ - main
+ pull_request:
+ workflow_dispatch:
+
+jobs:
+ test:
+ runs-on: ubuntu-latest
+ steps:
+ - uses: actions/checkout@v2
+
+ - name: Invoke devcontainer-cli features-test
+ run: npx --yes ./dev-containers-cli-0.1.0.tgz features-test -c `pwd`/collection -f go
diff --git a/collection/go/test.sh b/collection/go/test.sh
new file mode 100644
index 0000000..a2c26b6
--- /dev/null
+++ b/collection/go/test.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -e
+
+go version
+
+echo 'Done!' \ No newline at end of file
diff --git a/dev-containers-cli-0.1.0.tgz b/dev-containers-cli-0.1.0.tgz
new file mode 100644
index 0000000..1315751
--- /dev/null
+++ b/dev-containers-cli-0.1.0.tgz
Binary files differ